ActiveMQQueueBrowser (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ActiveMQQueueBrowser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq
Class ActiveMQQueueBrowser

    java.lang.Object
      org.codehaus.activemq.ActiveMQMessageConsumer
          org.codehaus.activemq.ActiveMQQueueBrowser

All Implemented Interfaces:
  Enumeration, MessageConsumer, QueueBrowser, StatsCapable

public class ActiveMQQueueBrowser
extends ActiveMQMessageConsumer
implements QueueBrowser, Enumeration

A client uses a `QueueBrowser` object to look at messages on a queue without removing them.

The `getEnumeration` method returns a `java.util.Enumeration` that is used to scan the queue's messages. It may be an enumeration of the entire content of a queue, or it may contain only the messages matching a message selector.

Messages may be arriving and expiring while the scan is done. The JMS API does not require the content of an enumeration to be a static snapshot of queue content. Whether these changes are visible or not depends on the JMS provider.

A `QueueBrowser` can be created from either a `Session` or a `QueueSession`.

See Also:
  `Session.createBrowser(javax.jms.Queue)`, `QueueSession.createBrowser(javax.jms.Queue)`, `QueueBrowser`, `QueueReceiver`

Field Summary

Fields inherited from class org.codehaus.activemq.ActiveMQMessageConsumer
`browser, consumerId, consumerName, consumerNumber, destination, messageQueue, messageSelector, noLocal, prefetchNumber, session, startTime`

Constructor Summary
`protected` | `ActiveMQQueueBrowser(ActiveMQSession theSession, ActiveMQDestination dest, String selector, int cnum)` Constructor for an ActiveMQQueueBrowser - used internally

Method Summary
`Enumeration` | `getEnumeration()` Gets an enumeration for browsing the current queue messages in the order they would be received.
`Queue` | `getQueue()` Gets the queue associated with this queue browser.
`boolean` | `hasMoreElements()`
`Object` | `nextElement()`

Methods inherited from class org.codehaus.activemq.ActiveMQMessageConsumer
`checkClosed, clearMessagesInProgress, close, getConsumerId, getConsumerName, getConsumerNumber, getConsumerStats, getDestination, getMessageListener, getMessageSelector, getPrefetchNumber, getStartTime, getStats, isBrowser, isDurableSubscriber, isNoLocal, processMessage, receive, receive, receiveNoWait, setBrowser, setConsumerId, setConsumerName, setConsumerNumber, setMessageListener, setPrefetchNumber, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.QueueBrowser
`close, getMessageSelector`

Constructor Detail

### ActiveMQQueueBrowser

    protected ActiveMQQueueBrowser(ActiveMQSession theSession,
                                   ActiveMQDestination dest,
                                   String selector,
                                   int cnum)
                            throws JMSException

  Constructor for an ActiveMQQueueBrowser - used internally

Parameters:
  `theSession` -
  `dest` -
  `selector` -
  `cnum` -
Throws:
  `JMSException`

Method Detail

### getQueue

    public Queue getQueue()
                   throws JMSException

  Gets the queue associated with this queue browser.

  Specified by:
    `getQueue` in interface `QueueBrowser`
  Returns:
    the queue
  Throws:
    `JMSException` - if the JMS provider fails to get the queue associated with this browser due to some internal error.

### getEnumeration

    public Enumeration getEnumeration()
                               throws JMSException

  Gets an enumeration for browsing the current queue messages in the order they would be received.

  Specified by:
    `getEnumeration` in interface `QueueBrowser`
  Returns:
    an enumeration for browsing the messages
  Throws:
    `JMSException` - if the JMS provider fails to get the enumeration for this browser due to some internal error.

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`
  Returns:
    true if more messages to process

### nextElement

    public Object nextElement()

  Specified by:
    `nextElement` in interface `Enumeration`
  Returns:
    the next message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.